## org.biojavax.ga
Interface GAStoppingCriteria

All Known Implementing Classes:
  GAStoppingCriteria.MaximumGeneration

    public interface GAStoppingCriteria

Used by a `GeneticAlgorithm.run()` method to determine when the algorithm should stop

Since:
  1.5
Version:
  1.0
Author:
  Mark Schreiber

Nested Class Summary
`static class` `GAStoppingCriteria.MaximumGeneration` Simple Implementation of GAStoppingCriteria, signals a `GeneticAlgorithm` to stop after n generations

Method Summary
`boolean` `stop(GeneticAlgorithm ga)` Determines if an Algorithm should stop spawning new generations

Method Detail

### stop

    boolean stop(GeneticAlgorithm ga)

  Determines if an Algorithm should stop spawning new generations

  Parameters:
    `ga` - the Algorithm to test
  Returns:
    true if it should stop, false otherwise.